package logrepository

import (
	"legalgo-BE-go/database"
	adsdomain "legalgo-BE-go/internal/domain/ads"
	logsdomain "legalgo-BE-go/internal/domain/logs"
)

type accessor struct {
	db *database.DB
}

type Log interface {
	CreateLog(logsdomain.LogsSpec) error
	GetAllLogAds(string) ([]adsdomain.Ads, error)
}

func New(db *database.DB) Log {
	return &accessor{db}
}
